TryCatchStatement (Groovy 5.0.7)

Package: org.codehaus.groovy.ast.stmt

## [Java] Class TryCatchStatement

- org.codehaus.groovy.ast.stmt.TryCatchStatement

-     public class TryCatchStatement
      extends Statement

  Represents a try { ... } catch () finally {} statement in Groovy

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TryCatchStatement(Statement tryStatement, Statement finallyStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TryCatchStatement` | `addCatch(CatchStatement catchStatement)`
    `` | `public void` | `addCatch$$bridge(CatchStatement catchStatement)`
    `` | `public TryCatchStatement` | `addResource(ExpressionStatement resourceStatement)`
    `` | `public void` | `addResource$$bridge(ExpressionStatement resourceStatement)`
    `` | `public CatchStatement` | `getCatchStatement(int idx)` Returns: The catch statement of the given index or null.
    `` | `public List<CatchStatement>` | `getCatchStatements()`
    `` | `public Statement` | `getFinallyStatement()`
    `` | `public ExpressionStatement` | `getResourceStatement(int idx)` Returns: The resource statement of the given index or null.
    `` | `public List<ExpressionStatement>` | `getResourceStatements()`
    `` | `public Statement` | `getTryStatement()`
    `` | `public static boolean` | `isResource(Expression expression)`
    `` | `public void` | `setCatchStatement(int idx, CatchStatement catchStatement)`
    `` | `public void` | `setFinallyStatement(Statement finallyStatement)`
    `` | `public void` | `setTryStatement(Statement tryStatement)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public TryCatchStatement(Statement tryStatement, Statement finallyStatement)

  - ### Method Detail

    - #### public TryCatchStatement addCatch(CatchStatement catchStatement)

    - #### @Deprecated
      public void addCatch$$bridge(CatchStatement catchStatement)

    - #### public TryCatchStatement addResource(ExpressionStatement resourceStatement)

    - #### @Deprecated
      public void addResource$$bridge(ExpressionStatement resourceStatement)

    - #### public CatchStatement getCatchStatement(int idx)

      Returns:
        The catch statement of the given index or null.

    - #### public List<CatchStatement> getCatchStatements()

    - #### public Statement getFinallyStatement()

    - #### public ExpressionStatement getResourceStatement(int idx)

      Returns:
        The resource statement of the given index or null.

    - #### public List<ExpressionStatement> getResourceStatements()

    - #### public Statement getTryStatement()

    - #### public static boolean isResource(Expression expression)

    - #### public void setCatchStatement(int idx, CatchStatement catchStatement)

    - #### public void setFinallyStatement(Statement finallyStatement)

    - #### public void setTryStatement(Statement tryStatement)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)